import 'package:niogu_ecommerce_v1/features/auth/data/models/auth_model.dart';

abstract class IAuthRepository {
  Future<LoginResponse?> login({
    required String identifier,
    required String password
  });

  Future<void> register(RegisterRequest request);
}